View Issue Details

IDProjectCategoryView StatusLast Update
0000308WishesPlugins API.Dialogpublic2013-02-03 00:34
Reportersamlyukov Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version1.71 
Summary0000308: Рисовать по умолчанию тень для диалогов с FDLG_SMALLDIALOG
DescriptionСабж собственно.
На функционал существующих плагинов повлиять серьезно не должен.
Кто захочет без тени, ну так есть флаг - FDLG_NODRAWSHADOW.
TagsNo tags attached.
Build2247

Activities

samlyukov

2007-08-07 02:27

reporter   bugnote:0000569

На дубль не похоже, ну да ладно... :)

samlyukov

2008-09-06 04:26

reporter   bugnote:0001803

Index: dialog.cpp
===================================================================
--- dialog.cpp (revision 1982)
+++ dialog.cpp (working copy)
@@ -1467,7 +1467,7 @@
 
 
     // перед прорисовкой подложки окна диалога...
- if(!DialogMode.Check(DMODE_SMALLDIALOG|DMODE_NODRAWSHADOW))
+ if(!DialogMode.Check(/*DMODE_SMALLDIALOG|*/DMODE_NODRAWSHADOW))
       Shadow(); // "наводим" тень
 
     if(!DialogMode.Check(DMODE_NODRAWPANEL))
----------------------------------
погонял, вроде криминала не увидел.
240 баг так и не повторяется. закрыть его надобно.

vskirdin

2008-11-06 08:44

administrator   bugnote:0001935

на счет криминала - на 1.80 это проверь:
создай смолдиалог на весь экран - рухнет или нет ;-)

samlyukov

2008-11-06 09:10

reporter   bugnote:0001936

>создай смолдиалог на весь экран - рухнет или нет ;-)
не падает:
void MakeShadow(int X1,int Y1,int X2,int Y2)
{
  if (X1<0) X1=0;
  if (Y1<0) Y1=0;
  if (X2>ScrX) X2=ScrX;
  if (Y2>ScrY) Y2=ScrY;
...


патч желательно (читай - нужно) применить и для фар 1,7х

vskirdin

2008-11-06 10:17

administrator   bugnote:0001937

в 2451/580

Issue History

Date Modified Username Field Change
2007-07-30 00:17 samlyukov New Issue
2007-08-07 02:23 vskirdin Relationship added has duplicate 0000240
2007-08-07 02:27 samlyukov Note Added: 0000569
2008-09-06 04:26 samlyukov Note Added: 0001803
2008-11-05 09:18 vskirdin Status new => assigned
2008-11-05 09:18 vskirdin Assigned To => vskirdin
2008-11-05 09:18 vskirdin Build => 2247
2008-11-05 09:18 vskirdin Status assigned => closed
2008-11-05 09:18 vskirdin Resolution open => fixed
2008-11-05 09:18 vskirdin Fixed in Version => 1.71
2008-11-05 09:25 vskirdin Relationship deleted has duplicate 0000240
2008-11-05 09:25 vskirdin Status closed => assigned
2008-11-06 08:44 vskirdin Note Added: 0001935
2008-11-06 09:10 samlyukov Note Added: 0001936
2008-11-06 10:17 vskirdin Note Added: 0001937
2008-11-06 10:17 vskirdin Status assigned => feedback
2008-11-07 04:58 samlyukov Status feedback => resolved
2008-11-07 08:58 vskirdin Status resolved => closed
2013-02-03 00:34 alexy Severity minor => feature